// Package docs Code generated by swaggo/swag. DO NOT EDIT
package docs

import "github.com/swaggo/swag"

const docTemplate = `{
    "schemes": {{ marshal .Schemes }},
    "swagger": "2.0",
    "info": {
        "description": "{{escape .Description}}",
        "title": "{{.Title}}",
        "contact": {},
        "version": "{{.Version}}"
    },
    "host": "{{.Host}}",
    "basePath": "{{.BasePath}}",
    "paths": {
        "/v3/tenant/{project_id}": {
            "get": {
                "summary": "Fetch information about the tenant",
                "operationId": "GetTenant",
                "parameters": [
                    {
                        "minimum": 1,
                        "type": "integer",
                        "name": "project_id",
                        "in": "path",
                        "required": true
                    },
                    {
                        "minimum": 1,
                        "type": "integer",
                        "name": "x-top-level-namespace",
                        "in": "header",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/provisioningapi.TenantData"
                        }
                    },
                    "404": {
                        "description": "Tenant not found"
                    }
                }
            },
            "put": {
                "summary": "Fetch information about the tenant",
                "operationId": "CreateTenant",
                "parameters": [
                    {
                        "minimum": 1,
                        "type": "integer",
                        "name": "project_id",
                        "in": "path",
                        "required": true
                    },
                    {
                        "minimum": 1,
                        "type": "integer",
                        "name": "x-top-level-namespace",
                        "in": "header",
                        "required": true
                    }
                ],
                "responses": {
                    "201": {
                        "description": "Tenant created"
                    },
                    "409": {
                        "description": "Tenant already exists"
                    },
                    "500": {
                        "description": "Tenant creation failed"
                    }
                }
            },
            "delete": {
                "summary": "Delete a tenant - not yet implemented",
                "operationId": "DeleteTenant",
                "parameters": [
                    {
                        "minimum": 1,
                        "type": "integer",
                        "name": "project_id",
                        "in": "path",
                        "required": true
                    },
                    {
                        "minimum": 1,
                        "type": "integer",
                        "name": "x-top-level-namespace",
                        "in": "header",
                        "required": true
                    }
                ],
                "responses": {
                    "501": {
                        "description": "Not implemented"
                    }
                }
            }
        }
    },
    "definitions": {
        "provisioningapi.TenantData": {
            "type": "object",
            "required": [
                "name",
                "topLevelNamespaceID"
            ],
            "properties": {
                "name": {
                    "type": "string",
                    "minLength": 1
                },
                "status": {
                    "description": "Status is one of ` + "`" + `ready` + "`" + `, ` + "`" + `not ready` + "`" + `, ` + "`" + `unknown` + "`" + `",
                    "type": "string"
                },
                "topLevelNamespaceID": {
                    "type": "integer",
                    "minimum": 1
                }
            }
        }
    }
}`

// SwaggerInfo holds exported Swagger Info so clients can modify it
var SwaggerInfo = &swag.Spec{
	Version:          "",
	Host:             "",
	BasePath:         "",
	Schemes:          []string{},
	Title:            "Provisioning",
	Description:      "Handles provisioning of observability tenants.",
	InfoInstanceName: "swagger",
	SwaggerTemplate:  docTemplate,
	LeftDelim:        "{{",
	RightDelim:       "}}",
}

func init() {
	swag.Register(SwaggerInfo.InstanceName(), SwaggerInfo)
}
